Plack::HTTPParser(3pm)

NAME
Plack::HTTPParser - Parse HTTP headers

SYNOPSIS
  use Plack::HTTPParser qw(parse_http_request);

  my $ret = parse_http_request($header_str, \%env);
  # see HTTP::Parser::XS docs

DESCRIPTION
Plack::HTTPParser is a wrapper class to dispatch "parse_http_request" to Kazuho Oku's XS based HTTP::Parser::XS or pure perl fallback based on David Robins HTTP::Parser.

If you want to force the use of the slower pure perl version even if the fast XS version is available, set the environment variable "PLACK_HTTP_PARSER_PP" to 1.

SEE ALSO
HTTP::Parser::XS HTTP::Parser